Table of Contents

## Name

gluQuadricCallback - define a callback for a quadrics object

## C Specification

void gluQuadricCallback( GLUquadric* quad,

        GLenum which,
        _GLUfuncptr CallBackFunc )

eqn not supported

## Parameters

quad
  Specifies the quadrics object (created with gluNewQuadric).
which
  Specifies the callback being defined. The only valid value is GLU_ERROR.
CallBackFunc
  Specifies the function to be called.

## Description

gluQuadricCallback is used to define a new callback to be used by a quadrics object. If the specified callback is already defined, then it is replaced. If CallBackFunc is NULL, then any existing callback is erased.

The one legal callback is GLU_ERROR:

GLU_ERROR
  The function is called when an error is encountered. Its single argument is of type GLenum, and it indicates the specific error that occurred. Character strings describing these errors can be retrieved with the gluErrorString call.

## See Also

gluErrorString(3G) , gluNewQuadric(3G)

Table of Contents

- Name
- C Specification
- Parameters
- Description
- See Also